<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [Navigation](./foundation-header.navigation.md) &gt; [connectedCallback](./foundation-header.navigation.connectedcallback.md)

## Navigation.connectedCallback() method

**Signature:**

```typescript
connectedCallback(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;

